org.apache.lucene.benchmark.byTask.feeds

## Interface QueryMaker

- All Known Implementing Classes:
    AbstractQueryMaker, EnwikiQueryMaker, FileBasedQueryMaker, LongToEnglishQueryMaker, ReutersQueryMaker, SimpleQueryMaker, SimpleSloppyPhraseQueryMaker

      public interface QueryMaker

  Create queries for the test.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `makeQuery()` Create the next query
    `Query` | `makeQuery(int size)` Create the next query, of the given size.
    `String` | `printQueries()` Print the queries
    `void` | `resetInputs()` Reset inputs so that the test run would behave, input wise, as if it just started.
    `void` | `setConfig(Config config)` Set the properties

- - ### Method Detail

    - #### makeQuery

          Query makeQuery(int size)
                          throws Exception

      Create the next query, of the given size.
      Parameters:
        `size` - the size of the query - number of terms, etc.
      Throws:
        `Exception` - if cannot make the query, or if size>0 was specified but this feature is not supported.

    - #### makeQuery

          Query makeQuery()
                          throws Exception

      Create the next query
      Throws:
        `Exception`

    - #### setConfig

          void setConfig(Config config)
                         throws Exception

      Set the properties
      Throws:
        `Exception`

    - #### resetInputs

          void resetInputs()

      Reset inputs so that the test run would behave, input wise, as if it just started.

    - #### printQueries

          String printQueries()

      Print the queries

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.